> ## Documentation Index
> Fetch the complete documentation index at: https://docs.landing.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Webhook

> Creates a new webhook



## OpenAPI

````yaml POST /webhook
openapi: 3.1.0
info:
  title: Landing API
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://www.landing.so/api
security:
  - bearerAuth: []
paths:
  /webhook:
    post:
      description: Creates a new webhook
      requestBody:
        description: Webhook to create
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewWebhook'
        required: true
      responses:
        '201':
          description: webhook created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookResponse'
        '400':
          description: Bad request or webhook already exists
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized - Invalid or missing authentication token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    NewWebhook:
      type: object
      required:
        - url
        - triggers
      properties:
        url:
          type: string
          format: uri
          description: The URL where webhook events will be sent
        triggers:
          type: array
          items:
            type: string
            enum:
              - lead.created
          description: Array of event types that trigger this webhook
    WebhookResponse:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          description: Unique identifier of the created webhook
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message describing what went wrong
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: OAuth2 Bearer token for authentication

````